<?php
/**
 * @file
 * A reaction to trigger the Active callback
 */

/**
 * Trigger the 'active' callback in Microsites when found
 */
class MicrositesReaction extends context_reaction {

  /**
   * Implements options_form()
   *
   * @param $context
   *
   * @return array|void
   */
  function options_form($context) {
    $return = array(
      'active' => array('#type' => 'value', '#value' => TRUE)
    );
    if (isset($context->reactions['microsites']['site'])) {
      $return['site'] = array('#type' => 'value', '#value' => $context->reactions['microsites']['site']);
    }
    else {
      $return['site'] = array('#type' => 'value', '#value' => NULL);
    }

    return $return;
  }

  /**
   * Implements execute()
   */
  function execute(&$vars = NULL) {

    $contexts = context_active_contexts();
    foreach($contexts as $context) {
      if (isset($context->reactions['microsites'])) {
        $microsite = microsites_load_by_name($context->reactions['microsites']['site']);
        $microsite->active();
      }
    }
  }
}
