<?php
/**
* A basic microsites extension
*/

$plugin = array(
  'title' => t('Menu Breadcrumbs'),
  'description' => t('Provide custom breadcrumbs for microsites based on the Menu Breadcrumb module.'),
  'class' => array(
    'class' => 'MenuBreadcrumbsMicrositesExtension'
  ),
);

/**
 * Sets a breadcrumb
 */
class MenuBreadcrumbsMicrositesExtension extends BasicMicrositesExtension {

  /**
   * Implements BasicMicrositesExtension::requirements()
   */
  public function requirements() {
    if (module_exists('menu_breadcrumb')) {
      return TRUE;
    }
    return FALSE;
  }

  /**
   * Implements enable()
   */
  public function enable($reset = FALSE) {
    // Do nothing
  }

  /**
   * Implements active()
   */
  public function active() {

    $this->menuBreadcrumb();

    //$breadcrumb = drupal_get_breadcrumb();

  }

  /**
   * Implements disable()
   */
  public function disable() {
    // Do nothing
  }

  /**
   * Sets the breadcrumb trail to match the menu structure.
   *
   * This function uses the same approach as in the menu_breadcrumb module.
   */
  function menuBreadcrumb() {
    xu('menu');

    // Set the active menu to use ours
    xu_menu_set_active_menu($this->getSetting('menu_name', 'menu'));

    // Load the active menu trail
    $breadcrumb = menu_get_active_breadcrumb();
    if (isset($breadcrumb[0]) && $breadcrumb[0] =='<a href="/">Home</a>') {
      unset($breadcrumb[0]);
    }

    $path = $this->getSetting('base_path', 'default');
    if (isset($_GET['q']) && $path != drupal_get_path_alias($_GET['q'])) {
      $title = $this->getSetting('title', 'default');
      $home = l($title, $path);
      array_unshift($breadcrumb, $home);
      drupal_set_breadcrumb($breadcrumb);
    }
    else {
      drupal_set_breadcrumb(array());
    }

  }
}
