<?php
/**
 * A basic microsites extension
 */

$plugin = array (
  'title' => t('Defaults'),
  'description' => t('This type provides default settings.'),
  'class' => array(
    'class' => 'DefaultMicrositesExtension',
  ),
  '#weight' => -9
);

/**
 * The default microsite extension sets basic parameters
 */
class DefaultMicrositesExtension extends BasicMicrositesExtension {

  /**
   * Trigger on Enable
   */
  public function enable() {
    $this->setTitle();
    $this->saveSetting('base_path', $this->microsite->node->path);
  }

  /**
   * Reset
   */
  public function reset() {
    if (isset($this->microsite)) {
      if (isset($this->microsite->data)) {
        $this->microsite->data = array();
      }
    }
    $this->saveSetting('base_path', $this->microsite->node->path);
  }

  /**
   * Run on a given page load when the microsite is active
   */
  public function active() {
    // Do nothing
  }

  /**
   * Trigger on Disable
   */
  public function disable() {
    // Do nothing
  }

  /**
   * Trigger on Disable
   */
  public function delete() {
    // Do nothing
  }

  /**
   * Set the title of this microsite
   *
   * @param $title
   */
  private function setTitle($title = NULL) {
    if (isset($title) && !empty ($title)) {
      $this->saveSetting('title', $title);
    }
    elseif (isset($this->microsite->node) && is_object($this->microsite->node)) {
      $this->saveSetting('title', $this->microsite->node->title);
    }
  }
}
